* Gamma Chapter
clear

use claims
glm y i.pa i.cg i.va [fw=number], family(gamma) irls 

predict double anscombe, anscombe
predict double logvar, mu
replace logvar = log(logvar*logvar)
label var logvar "Log(variance)"
twoway scatter anscombe logvar, yline(0)
graph export gamans.eps, replace

glm y i.pa i.cg i.va [fw=number], family(gamma) notable nolog

sysuse cancer, clear
glm studytime age i.drug, family(gamma) link(log) irls nolog

glm studytime age i.drug, family(gamma) link(log) nolog

tabulate drug, generate(drug)
lgamma studytime age drug2 drug3, nolog

glm studytime age i.drug, family(gamma) link(id) irls nolog  /* IRLS */
glm studytime age i.drug, family(gamma) link(id) nolog       /* N-R  */

glm studytime age i.drug, family(gamma) link(log) scale(1) nolog
stset studytime
streg age i.drug, nohr dist(exp) nolog
