* Inverse Gauss Chapter
drop _all

set seed 12345
version 3: set seed 12345
set obs 25000
generate x1 = abs(invnormal(runiform()))
generate x2 = abs(invnormal(runiform()))
generate eta = 1 + .5*x1 - .25*x2
generate mu = 1/sqrt(eta)
rndivgx mu, s(0.5)
glm xig x1 x2, family(igaussian) nolog

use medpar1, clear
glm los admitype codes, family(igaussian) link(log) nolog

glm los admitype i.codes, family(igaussian) link(log) nolog
glm los admitype i.codes, family(igaussian) link(identity) nolog
glm los admitype i.codes, family(igaussian) nolog
aic
